Bug 468276 - doesn't dither background
Summary: doesn't dither background
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-23 20:34 UTC by Bill Nottingham
Modified: 2014-03-17 03:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 17:00:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-10-23 20:34:54 UTC
Description of problem:

Best example is comparing the Solar plugin booted with vga=794 vs. vga=795;
with vga=794 it's pretty banded.

Version-Release number of selected component (if applicable):

plymouth-0.6.0-0.2008.10.21.2.fc10.x86_64

Comment 1 Ray Strode [halfline] 2008-10-23 21:39:36 UTC
This is with solar or spinfinity?

We definitely dither gradients.

Comment 2 Bill Nottingham 2008-10-24 00:18:34 UTC
I noticed it with solar. I'm not sure spinfinity uses enough colors to matter.

Comment 3 Ray Strode [halfline] 2008-10-24 13:31:09 UTC
So what's probably going on here is solar uses a background image, while spinfinity uses a dithered generated gradient.

We should either dither the background image or give it a lot of alpha and overlay it on a gradient.

Comment 5 Ray Strode [halfline] 2008-10-27 17:00:52 UTC
This is building in koji now... Thanks Charlie!


Note You need to log in before you can comment on or make changes to this bug.